%define gtkbinaryver %(pkg-config gtk+-2.0 --variable=gtk_binary_version)
%define clearlooks 0.6.2

Summary: Additional themes collection for GNOME
Name: gnome-themes-extras
Version: 0.8.1
Release: 4mdk
License: GPL
Group: Graphical desktop/GNOME
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-themes-extras/%{name}-%{version}.tar.bz2
Source1: http://prdownloads.sourceforge.net/clearlooks/clearlooks-metacity-0.6.tar.bz2
Source2: http://prdownloads.sourceforge.net/clearlooks/clearlooks-%clearlooks.tar.bz2
Patch0: gnome-themes-extras-0.1-gorilla.patch.bz2
URL: http://www.gnome.org/~uraeus/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libgtk+2.0-devel
BuildRequires: gtk-engines2
BuildRequires:  perl-XML-Parser
BuildRequires: automake1.7
BuildArch: noarch
# for the svg theme engine
Requires: librsvg
# for the industrial theme engine
Requires: gtk-engines2 >= 2.6


%description
Additional themes collection for GNOME: this package contains the
BlueSphere, Gorilla, Lush, Nuvola and  Wasp themes for GNOME2.

%prep
%setup -q -a 1 -a 2
%patch0 -p1 -b .gorilla
%build
./configure --prefix=%_prefix --libdir=%_libdir
%make
cd clearlooks-%clearlooks
./configure --prefix=%_prefix --libdir=%_libdir

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%find_lang gnome-themes-extras
cp -r Clearlooks/ %buildroot%_datadir/themes
### Remove files not to be installed
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/{*.{a,la},libindustrial.so,libsmooth.so}
rm -rf $RPM_BUILD_ROOT%_datadir/themes/Industrial
#add symlinks for missing icons
ln -s gnome-audio2.svg %buildroot%_datadir/icons/Wasp/scalable/apps/gnome-audio.svg
ln -s ../stock/stock_lockscreen.svg %buildroot%_datadir/icons/Wasp/scalable/apps/gnome-lockscreen.svg
ln -s ../stock/stock_logout.svg %buildroot%_datadir/icons/Wasp/scalable/apps/gnome-logout.png
cd clearlooks-%clearlooks/themes
%makeinstall_std
#gw already in gtk-engines2
rm -rf %buildroot%_datadir/themes/Clearlooks/gtk-2.0

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f gnome-themes-extras.lang
%defattr(-, root, root)
%{_datadir}/icons/*
%{_datadir}/themes/*
%doc AUTHORS MAINTAINERS ChangeLog COPYING README license_dsg license_lgpl license_gpl TODO

%changelog
* Fri Jul 15 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-4mdk
- add Clearlooks themes, except for the engine

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-3mdk
- add the Clearlooks metacity theme (John Keller)

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-2mdk
- fix buildrequires

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-1mdk
- drop patch 1
- New release 0.8.1

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-4mdk
- don't depend on ximian-artwork

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-3mdk
- make it a noarch package
- Don't ship smooth engine, it is now in gnome-themes

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- fix buildrequires

* Wed Sep  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- don't remove the icon symlinks, they aren't broken anymore
- reenable libtoolize
- New release 0.8

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- remove broken symlinks
- fix locale file list
- fix source location
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com 0.6-3mdk
- Patch1 : don't disable deprecated API in Smooth theme

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-2mdk
- do not hardcode gtk+ version
- rebuild for gtk+-2.4 (because of theme engine path)

* Mon Jan 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- new version

* Fri Dec 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- fix missing icons in the Wasp theme

* Sat Dec  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- fix more broken symlinks
- new version

* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- clean some more broken symlinks
- remove Wasp patch 
- don't libtoolize
- new version

* Tue Sep 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-3mdk
- fix Wasp icon theme

* Fri Aug 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- remove industrial theme

* Thu Aug 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- new version

* Tue Jul 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix find_lang call

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- new version

* Fri Jun 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- add an URL
- add some deps
- patch Gorilla gtk-2.0 theme

* Thu Jun 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial mandrake package

* Thu May 01 2003 Yanko Kaneti <yaneti@declera.com>
- use the GTK_BINARY_VERSION autoconf variable

* Thu May 01 2003 Christian Schaller <Uraeus@gnome.org>
- Added buildreqs
- Added obsoletes Nuvola

* Wed Apr 02 2003 Yanko Kaneti <yaneti@declera.com>
- First spec
